This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 111474 - CAN-2003-0962 rsync remote exploit
CAN-2003-0962 rsync remote exploit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rsync (Show other bugs)
2.1
All Linux
high Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Mike McLean
http://rsync.samba.org/
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-04 03:45 EST by Mark J. Cox (Product Security)
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-04 16:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-12-04 03:45:07 EST
A heap overflow bug exists in Rsync versions prior to 2.5.7.  On
machines where the Rsync server has been enabled, a remote attacker
could use this flaw to execute arbitrary code as an unprivileged user.
 The Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2003-0962 to this issue.

Our upgrade erratum packages will contain version 2.5.7 of Rsync which
is not vulnerable to this issue.

The Rsync server is disabled (off) by default in Red Hat Enterprise
Linux.  To check if the Rsync server has been enabled (on), run:

   /sbin/chkconfig --list rsync

If the Rsync server has been enabled but is not required it can be
disabled by running as root:

   /sbin/chkconfig rsync off

RHSA-2003:399 in progress
Comment 1 Bill Nottingham 2003-12-04 16:11:54 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-399.html

Note You need to log in before you can comment on or make changes to this bug.